Patch Detection Rule
curl --request PATCH \
--url https://api.example.com/v1/detection-rules/{rule_uuid} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"severity": "<string>",
"is_active": true,
"mitre_tactics": [
"<string>"
],
"mitre_techniques": [
"<string>"
],
"mitre_subtechniques": [
"<string>"
],
"data_sources": [
"<string>"
],
"documentation": "<string>"
}
'import requests
url = "https://api.example.com/v1/detection-rules/{rule_uuid}"
payload = {
"name": "<string>",
"severity": "<string>",
"is_active": True,
"mitre_tactics": ["<string>"],
"mitre_techniques": ["<string>"],
"mitre_subtechniques": ["<string>"],
"data_sources": ["<string>"],
"documentation": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
severity: '<string>',
is_active: true,
mitre_tactics: ['<string>'],
mitre_techniques: ['<string>'],
mitre_subtechniques: ['<string>'],
data_sources: ['<string>'],
documentation: '<string>'
})
};
fetch('https://api.example.com/v1/detection-rules/{rule_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"source_rule_id": "<string>",
"source_name": "<string>",
"severity": "<string>",
"is_active": true,
"mitre_tactics": [
"<string>"
],
"mitre_techniques": [
"<string>"
],
"mitre_subtechniques": [
"<string>"
],
"data_sources": [
"<string>"
],
"run_frequency": "<string>",
"created_by": "<string>",
"documentation": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"meta": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Detection Rules
Update Detection Rule
PATCH
/
v1
/
detection-rules
/
{rule_uuid}
Patch Detection Rule
Path Parameters
Body
application/json
⌘I

